/* ==================== HEADER E NAVBAR ==================== */
header {
  background-color: #F4F4F4;
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
#divlogo {
  width: 30%;
  margin-left: 10%;
  display: flex;
  align-items: center;
}
#imglogo {
  width: 70%;
  height: auto;
}
#divnav {
  width: 70%;
  display: flex;
  align-items: center;
}
nav {
  display: flex;
  align-items: center;
}
#menu-toggle {
  display: none;
  font-size: 28px;
  background: none;
  border: none;
  cursor: pointer;
  color: #C48F94;
}
nav ul {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 20px;
}
nav a {
  text-decoration: none;
  color: #C48F94;
  font-weight: bold;
}
nav ul li a {
  position: relative;
}
nav ul li a::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #C48F94;
  transform: scaleX(0);
  transform-origin: center;
  transition: transform 0.3s ease;
}
nav ul li a:hover::after,
nav ul li a:focus::after {
  transform: scaleX(1);
}

@media (max-width: 768px) {
  #menu-toggle {
    display: block;
  }
  .navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  gap: 0;
}
  #divlogo {
    max-width: 100%;
  }
  #divnav {
    width: 15%;
  }
  nav {
    width: 0%;
  }
  #imglogo {
    width: 250px;
    height: auto;
  }
  nav ul {
    flex-direction: column;
    position: absolute;
    top: 100px; /* altura do header */
    right: 0;
    background-color: #F4F4F4;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    opacity: 0;
    z-index: 999;
  }

  nav ul.show {
    max-height: 500px;
    opacity: 1;
    padding: 10px 0;
  }
  nav ul li {
    width: 100%;
    text-align: center;
    padding: 10px 0;
  }
}